<template>
  <div class="container-xxl">
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de tipos de animales
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_tipo_animal_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>
              <button
                class="btn btn-primary ms-5"
                @click="onTipoAnimalListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaTipoAnimalListar"
          @on-tipo-animal-editar="onTipoAnimalEditar"
          @on-tipo-animal-eliminar="onTipoAnimalEliminar"
        />
      </div>
    </div>

    <modal-crear @on-tipo-animal-listar="onTipoAnimalListar" />
    <modal-editar
      :tipo-animal="sTipoAnimal"
      @on-tipo-animal-listar="onTipoAnimalListar"
    />
    <modal-eliminar
      :tipo-animal="sTipoAnimal"
      @on-tipo-animal-listar="onTipoAnimalListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/tipo_animal/TablaTipoAnimalListar.vue';
import ModalCrear from '@/components/panel/tipo_animal/ModalTipoAnimalCrear.vue';
import ModalEditar from '@/components/panel/tipo_animal/ModalTipoAnimalEditar.vue';
import ModalEliminar from '@/components/panel/tipo_animal/ModalTipoAnimalEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'TipoAnimalListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },
  data() {
    return {
      sTipoAnimal: {},
    }
  },

  methods: {
    onTipoAnimalListar() {
      this.$refs.tablaTipoAnimalListar.onTipoAnimalListar();
    },

    onTipoAnimalEditar(tipoAnimal) {
      this.sTipoAnimal = Clonar.clon(tipoAnimal);
    },

    onTipoAnimalEliminar(tipoAnimal) {
      this.sTipoAnimal = Clonar.clon(tipoAnimal);
    }
  }

}
</script>